aboutsummaryrefslogtreecommitdiff
path: root/linux
diff options
context:
space:
mode:
authorJohn MacFarlane <jgm@berkeley.edu>2021-03-08 14:51:03 -0800
committerJohn MacFarlane <jgm@berkeley.edu>2021-03-08 14:51:03 -0800
commitcac796e1ab4ed170658d9056b27368e30cde3fcb (patch)
tree6c6b80b743789e5fd2841bf9bdf60c81d0056faa /linux
parent31ca011e4a927f07a0619c0c73d380d30d2edf77 (diff)
downloadpandoc-cac796e1ab4ed170658d9056b27368e30cde3fcb.tar.gz
ARM build script: more reliable detection of completion.
Previously we downloaded the tar.gz before it was complete.
Diffstat (limited to 'linux')
-rw-r--r--linux/make_artifacts.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/linux/make_artifacts.sh b/linux/make_artifacts.sh
index b32384ed4..43002218e 100644
--- a/linux/make_artifacts.sh
+++ b/linux/make_artifacts.sh
@@ -11,6 +11,13 @@ esac
ARTIFACTS="${ARTIFACTS:-/artifacts}"
+rm $ARTIFACTS/*
+
+clean_up() {
+ echo "All done!" > "$ARTIFACTS/DONE"
+}
+trap clean_up EXIT
+
# build binaries
cabal --version
@@ -72,3 +79,5 @@ gzip -9 $TARGET/share/man/man1/pandoc.1
tar cvzf $TARGET-linux-$ARCHITECTURE.tar.gz $TARGET
rm -r $TARGET
+
+exit 0